Bug 97038 - FILEOPEN DOCX Image aligned to page instead of table
Summary: FILEOPEN DOCX Image aligned to page instead of table
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0 target:6.3.4
Keywords: filter:docx
Depends on:
Blocks: DOCX-Tables
  Show dependency treegraph
 
Reported: 2016-01-11 11:24 UTC by Gabor Kelemen
Modified: 2019-10-22 07:18 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample file with image aligned to the top right of a textframe (75.45 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2016-01-11 11:24 UTC, Gabor Kelemen
Details
The file opened in MSO 2010 (194.67 KB, image/png)
2016-01-11 11:25 UTC, Gabor Kelemen
Details
The file when opened in LO 5.2 master (52.47 KB, image/png)
2016-01-11 11:26 UTC, Gabor Kelemen
Details
How it looks in LibreOffice 6.3 Master (38.56 KB, image/png)
2019-01-03 23:47 UTC, Xisco Faulí
Details
Screenshot of the document in current Writer master (112.24 KB, image/png)
2019-10-21 12:58 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2016-01-11 11:24:50 UTC
Created attachment 121852 [details]
Sample file with image aligned to the top right of a textframe

Attached file is supposed to be a CD cover.
 In Word 2010 it has the image aligned to the top right corner of the frame, but in current LO master (5.2) the image is aligned to the top right corner of the page.
Comment 1 Gabor Kelemen 2016-01-11 11:25:27 UTC
Created attachment 121853 [details]
The file opened in MSO 2010
Comment 2 Gabor Kelemen 2016-01-11 11:26:13 UTC
Created attachment 121854 [details]
The file when opened in LO 5.2 master
Comment 3 Buovjaga 2016-02-04 16:30:59 UTC
In MSWord 2013, the size and position - position settings for the image are:

Horiz.:
Align.: Right Relative to: Page

Vertic.:
Align.: Top Relative to: Page

Options enabled:
Allow overlap
Layout in table cell

In LibO, the image is anchored To Character.

Win 8.1 32-bit
MSO 2013
LibO Version: 5.2.0.0.alpha0+
Build ID: 27a114e73f9ce64f360b045233e1c9c74c207880
CPU Threads: 4; OS Version: Windows 6.29; UI Render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-02-04_09:04:40
Locale: fi-FI (fi_FI)
Comment 4 Telesto 2016-12-05 21:32:29 UTC
Confirmed with:
Version: 5.4.0.0.alpha0+
Build ID: 33f5bc54aaa7fe7aa9335726e30f9c349155e04d
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-12-01_23:21:05
Locale: nl-NL (nl_NL); Calc: CL

Also found in:
Versie 4.0.0.3 (Bouw-id: 7545bee9c2a0782548772a21bc84a9dcc583b89)
Comment 5 QA Administrators 2017-12-08 08:09:19 UTC Comment hidden (obsolete)
Comment 6 Gabor Kelemen 2017-12-09 19:48:08 UTC
Still the same in: 

q8p26‖Version: 6.1.0.0.alpha0+
XZmEs‖Build ID: 7886de305809e265cd2126d39912147131d3a004
Dk4vc‖CPU threads: 4; 5DyEd‖OS: Linux 4.4; Yqrwo‖UI render: ZitRE‖default; VCL: gtk2; 
Ru2AA‖Locale: hu-HU (hu_HU.UTF-8); Calc: group threaded
Comment 7 Xisco Faulí 2018-08-09 21:31:47 UTC
Still reproducible in

Version: 6.2.0.0.alpha0+
Build ID: c86a47a9d3debbc7e8ee6247f573e7f98c611f19
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

@Justin, I thought you could be interested in this issue...
Comment 8 Xisco Faulí 2019-01-03 23:46:45 UTC
vertical position is correct in

Version: 6.3.0.0.alpha0+
Build ID: 49c61f660d05ab13140d4349a0b3f6efba742022
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

but the horizontal one is still wrong

[Improvement found by office-interoperability-tools]
Comment 9 Xisco Faulí 2019-01-03 23:47:31 UTC
Created attachment 147983 [details]
How it looks in LibreOffice 6.3 Master
Comment 10 Justin L 2019-01-25 15:23:20 UTC
(In reply to Xisco Faulí from comment #8)
> vertical position is correct in 6.3
thanks to author Patrick Jaap  2018-12-10 14:20:43 +0100
commit c3c80b6b63e998fd3117b5039e65a2ee9df90954
    tdf#115094 Part II: OOXML Feature: Add layoutInCell to Doc model
Comment 11 NISZ LibreOffice Team 2019-10-21 12:58:38 UTC
Created attachment 155196 [details]
Screenshot of the document in current Writer master

Looks good in:

Version: 6.4.0.0.alpha1+ (x86)
Build ID: f0340d58cc0f2808ce8003099ff2a0495360f267
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: CL
Comment 12 NISZ LibreOffice Team 2019-10-21 13:30:21 UTC
It was still not good in:

Version: 6.4.0.0.alpha0+ (x64)
Build ID: 137e14ec4c3d3258df3802426b5ffe469f7fbde3
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: CL

Probably fixed by https://cgit.freedesktop.org/libreoffice/core/commit/?id=e042a83843ed2573dbce9338058b3dc545dd6898 too
Comment 13 Buovjaga 2019-10-21 13:41:26 UTC
Thanks for the detective work, let's close as fixed
Comment 14 Xisco Faulí 2019-10-21 14:05:04 UTC
(In reply to NISZ LibreOffice Team from comment #12)
> It was still not good in:
> 
> Version: 6.4.0.0.alpha0+ (x64)
> Build ID: 137e14ec4c3d3258df3802426b5ffe469f7fbde3
> CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win; 
> Locale: hu-HU (hu_HU); UI-Language: en-US
> Calc: CL
> 
> Probably fixed by
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=e042a83843ed2573dbce9338058b3dc545dd6898 too

Indeed!
i do confirm it's fixed by the mentioned commit

Version: 6.4.0.0.alpha0+
Build ID: e042a83843ed2573dbce9338058b3dc545dd6898
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 15 Xisco Faulí 2019-10-21 14:40:29 UTC
Unittest submitted to gerrit: https://gerrit.libreoffice.org/#/c/81248/
Comment 16 Commit Notification 2019-10-21 21:49:38 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3aaa2ec8c60330e3fdf21507a235aade4eb63d43

tdf#97038: Add unittest

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2019-10-22 07:18:18 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/237347dc530800bd83cc01bb8b675c01b351b5c8

tdf#97038: Add unittest

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.